Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GTestHelpTest Class Reference
Inheritance diagram for GTestHelpTest:

## Public Member Functions
def | TestHelpFlag (self, flag)
def | TestNonHelpFlag (self, flag)
def | testPrintsHelpWithFullFlag (self)
def | testPrintsHelpWithShortFlag (self)
def | testPrintsHelpWithQuestionFlag (self)
def | testPrintsHelpWithWindowsStyleQuestionFlag (self)
def | testPrintsHelpWithUnrecognizedGoogleTestFlag (self)
def | testPrintsHelpWithIncorrectFlagStyle (self)
def | testRunsTestsWithoutHelpFlag (self)
def | testRunsTestsWithGtestInternalFlag (self)

## Detailed Description

    Tests the --help flag and its equivalent forms.

## Member Function Documentation

def TestHelpFlag | ( |  | self,
|  |  | flag
| ) |  |

    Verifies correct behavior when help flag is specified.

    The right message must be printed and the tests must
    skipped when the given flag is specified.

    Args:
      flag:  A flag to pass to the binary or None.

def TestNonHelpFlag | ( |  | self,
|  |  | flag
| ) |  |

    Verifies correct behavior when no help flag is specified.

    Verifies that when no help flag is specified, the tests are run
    and the help message is not printed.

    Args:
      flag:  A flag to pass to the binary or None.

def testPrintsHelpWithFullFlag | ( |  | self | ) |

def testPrintsHelpWithIncorrectFlagStyle | ( |  | self | ) |

def testPrintsHelpWithQuestionFlag | ( |  | self | ) |

def testPrintsHelpWithShortFlag | ( |  | self | ) |

def testPrintsHelpWithUnrecognizedGoogleTestFlag | ( |  | self | ) |

def testPrintsHelpWithWindowsStyleQuestionFlag | ( |  | self | ) |

def testRunsTestsWithGtestInternalFlag | ( |  | self | ) |

    Verifies that the tests are run and no help message is printed when
    a flag starting with Google Test prefix and 'internal_' is supplied.

def testRunsTestsWithoutHelpFlag | ( |  | self | ) |

    Verifies that when no help flag is specified, the tests are run
    and the help message is not printed.

The documentation for this class was generated from the following file:

- testing/googleTest/test/gtest_help_test.py